QGIS Application - Bug report #15026
regression: pasting (or loading via .qml) a raster style changes layer extent
2016-06-14 12:15 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 22973
Description

When pasting a raster style (from layer A) onto another raster (layer B), QGIS now wrongly apply layer A's extent onto layer B. That pretty
much renders that feature unusable for rasters.
Steps to reproduce

1. Insert two rasters (A & B) with a different extent into a new project (for e.g. two LANDSAT scenes, two SRTM DEMs, etc.)

2. Right click on one raster (A), and copy its style (through Style -> Copy style)

3. Right click on the other raster (B), and paste the copied style (through Style -> Paste style)

4. Notice the raster B goes missing

5. Use the "Zoom to layer" action, notice how the canvas will zoom to the extent of raster A

Associated revisions

Revision 6d1e5542 - 2016-06-14 09:58 AM - Jiirgen Fischer

don't save extents to style (fixes #15026, followup 92aed6e and d690d72)

Revision e1d54029 - 2016-06-15 05:50 PM - Jiirgen Fischer

don't save extents to style (fixes #15026, followup 92aed6e and d690d72)

History

#1 - 2016-06-14 12:41 AM - Mathieu Pellerin - nIRV
- Subject changed from regression: pasting a raster style changes layer extent to regression: pasting (or loading via .qml) a raster style changes layer

extent

The commit which led to this regression is commit:d690d72

It also has broken loading of raster style via saved .gml files.

#2 - 2016-06-14 01:00 AM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"6d1e55420664125b2ed91fc69703c5d08aecf8ba".
